Issue 124153 - Merged cells in Table column cause unexpected additional deletion of adjacent columns
Summary: Merged cells in Table column cause unexpected additional deletion of adjacent...
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: editing (show other issues)
Version: 3.4.0
Hardware: All All
: P3 Normal (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-31 06:07 UTC by Rainer Bielefeld
Modified: 2014-02-01 14:32 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: 4.1.0-dev
Developer Difficulty: ---


Attachments
Sample Document (18.84 KB, application/3dr)
2014-01-31 06:07 UTC, Rainer Bielefeld
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Rainer Bielefeld 2014-01-31 06:07:49 UTC
Created attachment 82447 [details]
Sample Document

Steps how to reproduce Reproducible with "AOO 4.0.1 – German UI / German locale [Rev. 1524958 2013-09-20 11:40:29]" on German WIN7 Home Premium (64bit)", “historic” 4.0 User Profile used for all predecessor versions:

Follow steps in Sample document (to save time you can simply do step 13a in sample document in Table of step 12

10. Open attached Sample document
11. Create Table 7x7 and fill A1:B7 so that you can see results of edits easily
12. Merge Cells B3:D3 and F3:F5
13a. 'Click C5-> Click Delete Column Icon' (In Table Toolbar)
     Expected: Only Cells of Column C will be deleted
     Actual: All range B:D will be deleted               :-)
13b. For Comparison in Cell of step 12 'Click C5-> Click Delete Row Icon' 
     Expected: Only Cells of Row 5 will be deleted
     Actual: as expected

Additional information_
(a) We have Inconsistency between "Delete Row", what has intuitive results,
    and  "Delete Column", what has unexpected results
(b) Do some more tests with other cells in same row or same column as 
    merged cells. You will see that the behavior in Writer differs from
    the behavior in Calc. There might be differences what can and should not be
    eliminated (also to keep similarity with other text processing programs?),
    but at least unnecessary differences should be eliminated
(c) Already reproducible  (concerning column cell deletion)
    * sever installation of "OOo 3.3.0 English UI / German locale 
      [OOO330m20 (Build 9567)]" on WIN7 Home Premium (64bit) DE 
    *  server installation of "Ooo 3.1.1 German WIN7 Home Premium (64bit)DE 
       [OOO310m19 (Build 9420)]"
(d) That still worked fine (concerning column cell deletion) with
    * server installation of "OOo 2.0.2 [680m5 (Build 9011)]" 
      German WIN7 Home Premium (64bit) 
    * OOo 1.1.5 (Only clumn C cells deleted
(e) I will submit separate Bugs for other inconsistencies shown in sample
    document, soon
(f)  Already reproducible with  Pre-3.4.0 (OOo 3.1.1), but because of crippled  
     Version selector (Bug 123063) no useful info can be contributed
(g) Still Reproducible with server installation of "AOO 4.1.0-Dev – English UI
    / German locale - [AOO410m1(Build:9750) - Rev. 1559824 - 2014-01-22]" 
    on German WIN7 Home Premium (64bit)", own separate user profile.
Comment 1 Oliver-Rainer Wittmann 2014-01-31 08:16:48 UTC
I am confirming the observed behavior - it already occurs in OOo 2.2.0
Comment 2 Sam Jennings 2014-02-01 14:32:30 UTC
I have observed a permutation which is missing from the report:  If you make a row of merged cells which spans the entire width of the table, and delete the rightmost column beneath that row, the entire table is deleted.

The sample file in this report exhibits the described behavior.
https://issues.apache.org/ooo/show_bug.cgi?id=124109

Also noteworthy, but not yet reproducible, I have observed openoffice crashes (with data loss) while doing those steps.

I agree with recommendations that these bug reports be merged.